<?php
namespace wisdmlabs\cpb;

if (! defined('ABSPATH')) {
    exit;
}

/**
* CPB Product Bundle meta functions and filters.
* Referred from Woocommerce order item class.
*/
// Exit if accessed directly
class CpbOrderItem
{
    public function __construct()
    {
        add_filter('woocommerce_order_item_display_meta_key', array($this, 'cpbFormatedMeta'), 1, 3);
    }

    public function cpbFormatedMeta($display_key, $meta, $item_meta)
    {
        if (get_class($item_meta) != 'WC_Order_Item_Product') {
            return $display_key;
        }

        $item_id = $item_meta->get_product_id();
        $msgEnabled = get_post_meta($item_id, '_wdm_enable_gift_message', true);

        if ("yes" != $msgEnabled) {
            return $display_key;
        }

        $product = isset($item_id) ? wc_get_product($item_id) : "";
        if ($product && $product->get_type() == 'wdm_bundle_product') {
            $display_key = $this->getdisplayKey($item_meta, $item_id, $display_key);
        }

        unset($meta);
        return $display_key;
    }

    public function getdisplayKey($item_meta, $item_id, $display_key)
    {
        foreach ($item_meta->get_data()['meta_data'] as $key1 => $value1) {
            $metaData = $value1->get_data();
            if ($metaData['key'] == 'wdm_giftmsg_key') {
                $display_key = get_post_meta($item_id, '_wdm_gift_message_label', true);
            }
            unset($key1);
        }

        return $display_key;
    }
}

new CpbOrderItem();
