<?php
namespace wisdmlabs\cpb;

/**
 * Privacy/GDPR related functionality which ties into WordPress functionality.
 *
 * @since 6.2.0
 */
defined('ABSPATH') || exit;

/**
 * WC_Privacy Class.
 */
class CpbPrivacy extends CpbAbstractPrivacy
{
    /**
     * Init - hook into events.
     */
    public function __construct()
    {
        parent::__construct(__('Custom Product Boxes', 'custom-product-boxes'));

        // Include supporting classes.
        require_once('class-cpb-privacy-erasers.php');
        require_once('class-cpb-privacy-expoters.php');
        add_filter('woocommerce_privacy_export_order_personal_data', array('wisdmlabs\cpb\CpbPrivacyExporters', 'cpbGetGiftMsg'), 10, 2);
        add_action('woocommerce_privacy_remove_order_personal_data', array('wisdmlabs\cpb\CpbPrivacyErasers', 'cpbAnonymizeGiftMsg'), 10, 1);
    }

    /**
     * Add privacy policy content for the privacy policy page.
     *
     * @since 6.2.0
     */
    public function cpbGetPrivacyMessage()
    {
        $content = '<div><b>'.__('Please be advised that we store the gift message, which is only used for the purpose of printing it on the gift card and will be stored until the order is deleted.', 'custom-product-boxes').'</b></div>';

        return apply_filters('wdm_cpb_privacy_policy_content', $content);
    }
}

new CpbPrivacy();
