<?php

/**
 * CPB Add-on Product
 * @version 3.3.0
 */

// Exit if accessed directly
if (! defined('ABSPATH')) {
    exit;
}

global $woocommerce, $post;

$wdm_manage_stock = get_option('woocommerce_manage_stock');
$cpb_hide_stock = get_option('_wdm_hide_stock');
//gets the meta key for product grid field for the selected layout
$productColumnField = wisdmlabs\cpb\WdmCPBLayoutSetting::getProductField(get_the_ID());
//get the class for the layout from the meta table.
$productFieldClass = get_post_meta(get_the_ID(), $productColumnField, true);
$classes = apply_filters(
    'wdm_cpb_addon_product_div_classes',
    array(
        'product',
        'bundled_product',
        'bundled_product_summary',
        $productFieldClass,
        $stckMessage['wdm_no_stock'],
        $stckMessage['backorderClass']
    ),
    $post
);
// $item_data = $bundled_item->item_data;
$bundled_item_id = $item_data['product_type'] == "variation" ? $item_data['variation_id'] : $item_data['product_id'];
$id = $item_data['id'];

// Not allowing this through filter becasuse developers should not change this class name. This class is
// necessary to identify exact product code needs to work with.
$classes[] =  "desktop_bundled_product_{$id}";

$classes = implode(" ", $classes);

$bundled_product = wc_get_product($bundled_item_id);
$price = wc_get_price_to_display($bundled_product);

$wdm_item_product = new stdClass();

if (get_post_type($bundled_item_id) == 'product_variation') {
    $wdm_item_product = new \WC_Product_Variation($bundled_item_id);
} else {
    $wdm_item_product = new \WC_Product($bundled_item_id);
}

$wdmItemPriceHtml = $wdm_item_product->get_price_html();

//Get the details for the add-on product
//Add the template for the single add-on products
//add all the class associated with the product based on product grid or the
//stock availability.
?>
<div
    class = "<?php echo $classes; ?>"
    data-product-id = "<?php echo $item_data['id']; ?>"
    data-product-price = "<?php echo $price; ?>"
>
    <?php
    //image template
    do_action('wdm_add_on_product_image', $item_data, $wdm_item_product); ?>
   <div class="px-15"><!--WDM Frontend- starting wrapper with inner padding-->
    <?php

    //title template
    do_action('wdm_add_on_product_title', $item_data['display_text'], $item_data);

    if ($cpb_hide_stock == 'off' && ($wdm_manage_stock == 'yes' || ! $wdm_item_product->is_in_stock() || ($wdm_item_product->is_in_stock() && $wdm_item_product->is_sold_individually()))) {
        echo $stckMessage['price_message'];
    }

    if ($per_product_pricing) {
        ?>
        <p class="wdm_price">
            <?php echo $wdmItemPriceHtml; ?>
        </p>
        <?php
    }

    $text = str_replace('_', '', $bundled_item_id);
    ?>
    <div class='details'>
        <div
            class = "cart"
            data-bundled-item-id = "<?php echo $item_data['id']; ?>"
            data-product-id = "<?php echo $post->ID.$text; ?>"
            data-bundle-id = "<?php echo $post->ID; ?>"
        >

            <?php
                do_action('wdm_add_on_product_quantity', $item_data);
            ?>

        </div>
    </div>
   </div>
</div>
